package cn.com.capcloud.core.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class ReadProperty {
	@Value("${rzth.uploadFilePath}")
	private String uploadFilePath;
	@Value("${rzth.tempFilePath}")
	private String tempFilePath;
	@Value("${rzth.excelFilePath}")
	private String excelFilePath;
	@Value("${rzth.smPriKey}")
	private String smPriKey;
	@Value("${rzth.smPubKey}")
	private String smPubKey;
	@Value("${server.servlet.context-path}")
	private String contextPath;
	@Value("${rzth.minio.bucketName:none}")
	private String bucketName;//minio存储桶名称
	@Value("${rzth.defaultUploadFileToType:service}")
	private String defaultUploadFileToType;//默认上传文件配置（service，minio）
	@Value("${rzth.khcKey:afc5af7e676e11efa551000c299fec45}")
	private String khcKey;
	@Value("${rzth.fontFilePath}")
	private String fontFilePath;
	@Value("${rzth.captchaFilePath}")
	private String captchaFilePath;


	public String getUploadFilePath() {
		return uploadFilePath;
	}

	public void setUploadFilePath(String uploadFilePath) {
		this.uploadFilePath = uploadFilePath;
	}

	public String getTempFilePath() {
		return tempFilePath;
	}

	public void setTempFilePath(String tempFilePath) {
		this.tempFilePath = tempFilePath;
	}

	public String getExcelFilePath() {
		return excelFilePath;
	}

	public void setExcelFilePath(String excelFilePath) {
		this.excelFilePath = excelFilePath;
	}

	public String getSmPriKey() {
		return smPriKey;
	}

	public void setSmPriKey(String smPriKey) {
		this.smPriKey = smPriKey;
	}

	public String getSmPubKey() {
		return smPubKey;
	}

	public void setSmPubKey(String smPubKey) {
		this.smPubKey = smPubKey;
	}

	public String getContextPath() {
		return contextPath;
	}

	public void setContextPath(String contextPath) {
		this.contextPath = contextPath;
	}

	public String getBucketName() {
		return bucketName;
	}

	public void setBucketName(String bucketName) {
		this.bucketName = bucketName;
	}

	public String getDefaultUploadFileToType() {
		return defaultUploadFileToType;
	}

	public void setDefaultUploadFileToType(String defaultUploadFileToType) {
		this.defaultUploadFileToType = defaultUploadFileToType;
	}

	public String getKhcKey() {
		return khcKey;
	}

	public void setKhcKey(String khcKey) {
		this.khcKey = khcKey;
	}

	public String getFontFilePath() {
		return fontFilePath;
	}

	public void setFontFilePath(String fontFilePath) {
		this.fontFilePath = fontFilePath;
	}

	public String getCaptchaFilePath() {
		return captchaFilePath;
	}

	public void setCaptchaFilePath(String captchaFilePath) {
		this.captchaFilePath = captchaFilePath;
	}
}
